:host {
  display: block;
  --font-bold: 700;
  --font-medium: 600;
  --container-max-width: 960px;
}

.g-model-loading {
  height: 100%;
  width: 100%;
}

.g-spinner-container {
  display:flex;
  align-items:center;
  justify-content:center;
  text-align: center;
}

ion-content {
  max-height: calc(100% + 144px);
  width:100%;
  margin:auto;
  --background: var(--ion-background-color) !important;
  // margin-top: 1rem;

  .g-content-section {
    display: flow-root;
    /* 1 */
    box-sizing: content-box;
    max-width: var(--container-max-width);
    margin-left: auto;
    margin-right: auto;
    // padding: 0px 20px;
    padding: 0px;
    margin-top: 0rem;


    /* Phone landscape and bigger */
    @media (min-width: 640px) {
      padding: 0px 2rem;
    }

    /* Tablet landscape and bigger */
    @media (min-width: 960px) {
      padding: 0px 2.5rem;
    }

  }
}

.g-content-section {
  margin-bottom: 5.125rem;

  ion-card {
    box-shadow: rgb(0 0 0 / 8%) 0 4px 12px !important;
    margin-top: 1rem;
    background: white;
    border: 1px solid var(--ion-color-gray3);
  }

  ion-item {
    --inner-padding-start: .25rem;
    --inner-padding-end: .25rem;
  }
}
.g-code-container {
  margin: 1.5rem 0rem;
  display: flex;
  align-items: center;
  justify-content: center;

   .g-code-generator {
    margin: auto;
    padding: 1.1rem;
    padding-bottom: 0.75rem;
    max-width: 254px;
    box-sizing: border-box;
    border-radius: 8px;
    border: 2px solid var(--ion-color-gray2);

    &.active {
      border-color: var(--ion-color-primary);
    }
   }
}

.g-did-container glass-input * {
  --background: transparent;
  margin-bottom: .5rem;
}

.g-button-container {
  margin: 1.5rem 0rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

glass-empty-states {
  margin-top: -18vh !important;
}

ion-content {
  max-height: calc(100% + 144px);
  width:100%;
  margin:auto;
  --background: var(--ion-background-color) !important;
  // margin-top: 1rem;

  .g-content-section {
    display: flow-root;
    /* 1 */
    box-sizing: content-box;
    max-width: var(--container-max-width);
    margin-left: auto;
    margin-right: auto;
    // padding: 0px 20px;
    padding: 0px;
    margin-top: 0rem;

    /* Phone landscape and bigger */
    @media (min-width: 640px) {
      padding: 0px 2rem;
    }

    /* Tablet landscape and bigger */
    @media (min-width: 960px) {
      padding: 0px 2.5rem;
    }

  }
}

.g-content-section {
  margin-bottom: 4.125rem;

  ion-item {
    --inner-padding-start: .25rem;
    --inner-padding-end: .25rem;
  }

  p {
    color: var(--ion-color-gray6);
    font-weight: var(--font-medium);
    font-size: .75rem;
    margin-top: 2rem;
    margin-bottom: 0px;
    text-transform: uppercase;
  }

  h1 {
    color: var(--ion-color-gray8);
    font-weight: var(--font-bold);
    font-size: 1.5rem;
    line-height: 130%;
    margin-top: .5rem !important;
    width: 380px;
    @media (max-width: 572px) {
      width: 85%;
    }
  }

  h3 {
    color: var(--ion-color-gray8);
    margin-top: 2.5rem;
    font-weight: var(--font-medium);
    font-size: 1rem;
    line-height: 120%;
  }
}

ion-header {
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.02);
  ion-toolbar {
    --min-height: 64px;
    --padding-end: 1em;
    --padding-start: 1em;

    // ion-buttons + div > ion-title {
    //   margin-left: 48px !important; // largura do botão voltar
    // }

    ion-title {
      text-align: center;
      font-size: 16px;
      font-weight: 600;
      letter-spacing: inherit;
    }
  }
}

// ion-header {
//   box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.02);
//   ion-toolbar {
//     --min-height: 64px;
//     --padding-end: 1em;
//     --padding-start: 1em;
//     ion-buttons {
//       ion-back-button {
//         --icon-font-size: 24px;
//       }
//     }
//     ion-title {
//       text-align: center;
//       font-size: 16px;
//       font-weight: 600;
//       letter-spacing: inherit;
//     }
//   }
// }

// ion-item {
//   ion-text {
//     p {
//       margin-top: 3em;
//       margin-left: .4em;
//       margin-bottom: 4px;
//       color: var(--ion-color-gray6);
//       font-size: 14px;
//       text-transform: uppercase;
//       font-weight: 600;

//     }
//     h1 {
//       width: 350px;
//       color: var(--ion-color-gray8);
//       font-size: 28px;
//       line-height: 32px;
//       font-weight: 700;
//       margin: 0.2em 0 0.1em .2em;
//       @media (max-width: 572px) {
//         width: 85%;
//       }
//     }
//     h3 {
//       color: var(--ion-color-gray8);
//       font-size: 16px;
//       font-weight: 600;
//       margin: 2em 0 0 0;
//     }
//   }
// }
